package server

import (
	"io"
	"os/exec"
)

//Handler is handler
type Handler struct {
	ID        int
	stdout    io.ReadCloser
	stdin     io.WriteCloser
	cmd       *exec.Cmd
	isRunning bool
	log       []Log
}

//NewHandler means everythign starts here :)
func NewHandler() *Handler {
	NewlyCreatedHandler := Handler{
		ID:        0,
		isRunning: false,
		log:       []Log{},
	}

	return &NewlyCreatedHandler
}
